NetCaptor Help - Getting Started

 Getting Started

To get started browsing the internet or an intranet using NetCaptor, start the program file NetCaptor.exe using a shortcut on the start menu or your desktop. NetCaptor is different than most web browsers in that it allows you to browse multiple sites at the same time. Web sites are opened on tabs which allow the user to easily switch between open sites.

The following topics may be helpful as you get started:

  • Opening New Browser Tabs
  • Closing Browser Tabs
  • Customizing NetCaptor


NetCaptor Help - Opening New Browser Tabs

 Opening New Browser Tabs

There are a number of ways to open new browser tabs. To open a new browser tab, click on the ‘New’ toolbar button or select the File>New Browser menu.

  • Current – opens a new browser tab at the same location as the active browser tab
  • Home Page – opens a new browser tab at your home page
  • Blank – opens a new browser tab at a blank page
Another method of opening a new browser tab is to Right-Click on the link and select ‘Open in New Window’ from the pop-up menu. This action will open a new browser tab and navigate to the selected link. Alternately, hold down the SHIFT key when clicking on a link, favorite item, history item, or search engine listing to open it on a new browser tab.


NetCaptor Help - Closing Browser Tabs

 Closing Browser Tabs

There are a number of ways to close browser tabs. The buttons on the top right hand corner of the application allow you to close the active browser tab or to close all browser tabs. These items are also available from the File menu. The Close item on the browser tab popup menu (right-click on a browser tab) allows you to close the selected tab. Finally, the shortcut CTRL+W closes the active browser tab.


NetCaptor Help - Customizing NetCaptor

 Customizing NetCaptor

  • Toolbars
  • Startup Options
  • Loading Options
  • Settings


NetCaptor Help - Customizing the Toolbar

 Customizing the Toolbar

NetCaptor makes it easy to customize the toolbar. Double-click on the toolbar or select Customize from the Toolbar popup menu to open the Customize Toolbar dialog. This dialog displays a list of all available toolbar buttons with descriptions. Checking a list item makes the corresponding toolbar button visible; unchecking an item hides it on the toolbar. Use the Up and Down button on the side of the dialog to reorder the toolbar buttons.


NetCaptor Help - Keyboard Shortcuts

 Keyboard Shortcuts

The following keyboard shortcuts are available for use in NetCaptor:

ESC | stops loading the active browser tab
SHIFT + ESC | stops loading all browser tabs
F1 | displays online help
F2 or CTRL+SHIFT+TAB | selects the previous (left of active) browser tab
F3 or CTRL+TAB | selects the next (right of active) browser tab
F4 | toggles the visibility of the CaptorBar
F5 | refreshes the active browser tab
SHIFT + F5 | refreshes all browser tabs
F6 | adds the current site to a CaptorGroup
F7 | saves the current site as a CaptorGroup
F8 | adds the current site to PopupCaptor
F9 | sets or clears the StickyName for the selected site
F11 | toggles full-screen mode
ALT+D | sets focus to the address bar
CTRL+H | opens a new browser tab at your home page
CTRL+O | displays the open dialog box
CTRL+N | opens a new browser tab at a blank page
CTRL+W | closes the active browser tab
CTRL+SHIFT+W | closes all browser tabs
CTRL+SHIFT+S | displays the save as dialog box

Others shortcut keys are available to select menu items and are indicated by an underscore character. For example, to select the File menu, use the ALT+F keyboard combination.


NetCaptor Help - Load Options

 Load Options

NetCaptor makes it easy to set options which specify how the browser loads multimedia files.

Load Images - toggles whether NetCaptor loads images.
Load Videos - toggles whether NetCaptor loads videos.
Load Sounds - toggles whether NetCaptor loads sounds.
Load Animations - toggles whether NetCaptor loads animations.

Note: you may have to reload browser tabs before these settings take effect.


NetCaptor Help - Settings

 General

  • Ask to make NetCaptor the default browser - use this option to force NetCaptor to check whether it is the default browser when it opens.
  • Allow multiple instances of NetCaptor - use this option to allow multiple instances of NetCaptor to run at the same time.
  • Minimize to system tray - use this option to minimize NetCaptor to the system tray (instead of the task bar)

Browser Tabs

  • Open new browser tabs in the foreground - use this option to open new browser tabs in the foreground (active) instead of opening them in the backgroung (inactive).
  • Close other tabs when opening CaptorGroups - use this option to close all open tabs before opening a CaptorGroup. If this option is not selected, CaptorGroup links are opened on new browser tabs leaving any current tabs intact.
  • Open new tabs at end - use this option to open new browser tabs at the end of the currently open tabs instead of next to the source tab.
  • Limit browser title length - use this option to limit the length of browser tab titles. StickyNames may also be used to limit title length.
  • Display browser tabs at the bottom - use this option to display browser tabs aligned to the bottom of the screen. Unselecting this option aligns browser tabs at the top. NetCaptor needs to be restarted for this option to take effect.
  • Display browser tabs on multiple lines - use this option to display browser tabs on multiple lines if there are too many to fit on one. NetCaptor needs to be restarted for this option to take effect.

Startup
This tab gives you options about how to start NetCaptor.

  • Start NetCaptor at Home Page - use this option to start NetCaptor at your home page
  • Start NetCaptor with Last Open Sites - use this option to start NetCaptor with the same sites that were open when it was last closed.
  • Start NetCaptor with CaptorGroup - use this option to start NetCaptor with a CaptorGroup of your choice. Enter the name of the CaptorGroup in the text box or use the '...' button to select it.

Domain Completion
See the topic on Domain Completion for more information on using these Settings.

PopupCaptor
See the topic on PopupCaptor for more information on using these Settings.


NetCaptor Help - Technical Support

 Technical Support

Stilesoft Inc. offers free technical support for NetCaptor via email. Send your questions to support@netcaptor.com.

When sending bug reports, please include the NetCaptor version number and Microsoft Internet Explorer version number. Click the Help|About menu item to display the About box which contains these version numbers, or even easier, click the Mail button and choose 'Bug Report' from the 'Mail' drop-down menu.


NetCaptor Help - Uninstalling NetCaptor

 Uninstalling NetCaptor

To uninstall NetCaptor, go to the Add/Remove Programs on the Control Panel. Select the Install/Uninstall tab and select NetCaptor out of the list. Finally, click Add/Remove. This will run the Uninstall program and will prompt you for uninstall options.


NetCaptor Help - Using CaptorGroups

 Using CaptorGroups

CaptorGroups is a NetCaptor feature that makes it easy to maintain and navigate to multiple web sites. Each CaptorGroup can contain a list of links to web sites. When you select a CaptorGroup from the CaptorGroups menu, NetCaptor will open all of the sites in that list.

  • Creating a CaptorGroup – Open the sites that you wish to add to the CaptorGroup. Then, select the CaptorGroups>Save as CaptorGroup menu item. Name and save the CaptorGroup.
  • Modifying a CaptorGroup – Select the CaptorGroups>Organize CaptorGroups menu item and select the CaptorGroup file that you wish to modify. This will bring up the Modify CaptorGroup dialog which allows you to make changes to the sites listed in a CaptorGroup.
  • Adding a Site to a CaptorGroup – To add a link to an existing CaptorGroup, navigate to the site and select the Add to CaptorGroup menu item from the CaptorGroups menu. Then, select the CaptorGroup to which you wish to add the link. The location of the active browser tab will be added to the selected CaptorGroup.
  • Converting a SimulGroup – To convert a SimulBrowse version 3.0 SimulGroup to a CaptorGroup, select the CaptorGroups>Convert SimulGroup menu item and select the file to convert. This will convert the SimulGroup into a CaptorGroup and save it in your default CaptorGroups directory.

CaptorGroups used in NetCaptor may use the StickyNames feature. Click here for more information about StickyNames.


NetCaptor Help - StickyNames

 StickyNames

Use StickyNames to change what caption is displayed on browser tabs. Normally, a browser tab displays the HTML title of the document as its caption. StickyNames allow you to set a tab caption that is persistent for the current browser session. To set a StickyName for a browser tab, right-click and select Set StickyName from the popup menu and enter the desired name. Clear a StickyName by selecting Clear StickyName from the popup menu.

StickyNames can be used with CaptorGroups so that each link in the CaptorGroup can have its own StickyName. This is the only way that StickyNames may be used across browser sessions. StickyNames are preserved whenever you create a new CaptorGroup. You may also specify a StickyName for any links in the Modify CaptorGroup dialog.

  • More on CaptorGroups...


NetCaptor Help - PopupCaptor

 PopupCaptor Overview
PopupCaptor is a new feature to NetCaptor 5.0. PopupCaptor allows you to automatically close popup browser windows. It is intended for use with sites which automatically popup new windows without first asking the user. The PopupCaptor feature maintains a list of sites which are to be automatically closed. Whenever a new window is opened, it is checked against the listed sites. If a match is found the popup window is automatically closed by NetCaptor.

Adding a Site to the PopupCaptor List
To add a site to the PopupCaptor list, right click on the 'offending' browser tab and select 'Add to PopupCaptor List'. This will close the browser tab and add it to the list so that popup windows from this location won't open again.

PopupCaptor Tip
Use the list on the PopupCaptor tab of the Settings dialog to maintain and organize your PopupCaptor list. PopupCaptor will check new windows against this list for exact matches and for URL's which start with the same letters. This makes it easy to block our popup windows from whole domains. For example, you could just enter http://www.fakedomain.com/adpopup/ to automatically close all popup windows originating from the specified domain and folder.


NetCaptor Help - Domain Completion

 Domain Completion

The domain completion feature in NetCaptor makes typing domain names in the address bar easy. To use Domain Completion, type a domain name (i.e. stilesoft) and press CTRL+ENTER. NetCaptor add http://www. to the front of the text and add .com to the end of it.

You can customize the domain completion feature in the Settings dialog on the Domain Completion tab. Domain Completion can be used for CTRL+ENTER, SHIFT+ENTER, and CTRL+SHIFT+ENTER. You can change any of the default Domain Completion settings so that they work best for you.


NetCaptor Help - FormFiller

 FormFiller Overview
The FormFiller feature is available from the Tools menu. FormFiller automatically fills-in HTML forms based on the profile information you specify in the Internet Profile Assistant, available through Internet Options>Content>Personal Information>My Profile.

Using FormFiller
FormFiller can be used whenever you navigate to a page that requests personal or business information via an HTML form. Select FormFiller - Business or FormFiller - Personal from the tools menu. FormFiller will scan the active browser for HTML forms and match the requested information with that provided in the Profile Assistant.If FormFiller finds matches, it will prompt you with the list of requested information and associated values. You may allow or deny NetCaptor from filling in any of the requested values.

FormFiller Note
FormFiller - Business will use business address information when filling in forms. FormFiller - Personal will use home/personal information when filling in forms.


NetCaptor Help - View Source

 Viewing HTML Source Code

The NetCaptor View Source button displays the source code of the document displayed on the active browser tab. In addition to using Windows Notepad, the button also displays a list of installed HTML Editors that can be used to view the document source. The editors correspond to those displayed on the Internet Options dialog, Programs tab, HTML Editor combo box.

This description of how to add to this list is taken from an article on the Microsoft SiteBuilder Network. The article was located at http://www.microsoft.com/workshop/browser/configuration/clientreg/clientregistrylayout.asp at the time of this writing.

Adding HTML Editors

The steps for adding HTML editors to the drop-down list on the Programs tab of the Internet Options dialog box in Internet Explorer 5 and later is slightly different than the steps for adding client applications like mail and news.

  1. Register the friendly name of the HTML editor by adding a new key to HKEY_CLASSSES_ROOT\.htm\OpenWithList. HKEY_CLASSES_ROOT\.htm\OpenWithList\friendly name
  2. Add shell, edit, and command keys to the editor's registry entry. HKEY_CLASSES_ROOT\.htm\OpenWithList\friendly name\shell\edit\command
  3. Enter the fully formed path of the .exe file that launches the editor in the command key's "Value data" field. Enclose the path in quotes if it contains spaces. The following example shows the Value data entry for a typical installation of FrontPage Express. Include %1 as a parameter. This parameter refers to the file name of the active Web page. "c:\program files\microsoft front page express\bin\fpxpress.exe" %1


NetCaptor Help - Adding HTML Editors

 Adding HTML Editors

This description of how to add to the available HTML editors was taken from an article on the Microsoft SiteBuilder Network. The article was located at here at the time of this writing.

The steps for adding HTML editors to the drop-down list on the Programs tab of the Internet Options dialog box in Internet Explorer 5 and later is slightly different than the steps for adding client applications like mail and news.

  1. Register the friendly name of the HTML editor by adding a new key to HKEY_CLASSES_ROOT\.htm\OpenWithList.
    HKEY_CLASSES_ROOT\.htm\OpenWithList\friendly name
  2. Add shell, edit, and command keys to the editor's registry entry.
    HKEY_CLASSES_ROOT\.htm\OpenWithList\friendly name\shell\edit\command
  3. Enter the fully formed path of the .exe file that launches the editor in the command key's "Value data" field. Enclose the path in quotes if it contains spaces. The following example shows the Value data entry for a typical installation of FrontPage Express. Include %1 as a parameter. This parameter refers to the file name of the active Web page. "c:\program files\microsoft front page express\bin\fpxpress.exe" %1